<?php
/*
Plugin Name: th23 Add On
Description: Proof of concept...
Version: 0.1.0
Author: Thorsten Hartmann (th23)
Author URI: http://th23.net/
*/

class th23_addon {
	
	function __construct() {
		add_filter('th23_user_management_register_options_html', array(&$this, 'add_fields'));
		add_action('th23_user_management_register_send_mail', array(&$this, 'handle_fields'));
	}

	// Ensure PHP <5 compatibility
	function th23_addon() {
		self::__construct();
	}

	function add_fields($html) {
		$html .= ' <p>';
		$html .= '  <label for="first_name">' . __('First Name', 'th23-user-management') . '</label><br />';
		$html .= '  <input type="text" name="first_name" id="first_name" class="input" value="' . esc_attr((isset($_POST['first_name'])) ? wp_unslash($_POST['first_name']) : '') . '" size="20" tabindex="1" />';
		$html .= ' </p>';
		$html .= ' <p>';
		$html .= '  <label for="last_name">' . __('Last Name', 'th23-user-management') . '</label><br />';
		$html .= '  <input type="text" name="last_name" id="last_name" class="input" value="' . esc_attr((isset($_POST['last_name'])) ? wp_unslash($_POST['last_name']) : '') . '" size="20"  tabindex="1" />';
		$html .= ' </p>';
		return $html;
	}

	function handle_fields($new_user) {
		$user_input = array(
			'first_name' => '',
			'last_name' => '',
		);
		foreach($user_input as $name => $null) {
			$user_input[$name] = (isset($_POST[$name])) ? sanitize_text_field($_POST[$name]) : '';
		}
		$user_input['ID'] = $new_user->ID;
		$user_id = wp_update_user($user_input);
	}

}

// === INITIALIZATION ===
$th23_addon = new th23_addon();

?>